<template>
  <div class="info-carga-masiva">
    <v-icon class="icon-carga-masiva">
      {{ icon }}
    </v-icon>
    <div>
      {{ info || placeholder }}
    </div>
  </div>
</template>

<script>
export default {
  name: 'DataWithIcon',
  props: {
    icon: {
      type: String,
      default: 'mdi-calendar',
    },
    info: {
      type: String,
      default: null,
    },
    placeholder: {
      type: String,
      default: '---',
    },
  },
};
</script>

<style>
.info-carga-masiva {
  display: flex;
  margin: 1.3em;
}
.icon-carga-masiva {
  margin-right: 1em !important;
}
</style>
